#!/bin/sh
#
# for the original URLs, see:
#
# http://software.intel.com/en-us/articles/download-the-latest-intel-amt-open-source-drivers
# https://downloadcenter.intel.com/Detail_Desc.aspx?lang=eng&amp;changeLang=true&DwnldId=21941
#
set -e
wget http://software.intel.com/sites/default/files/lms-8.0.0-7.tar.gz
tar xf lms-8.0.0-7.tar.gz
cd lms-8.0.0-7
patch -p2 < ../lms-8.0.0.7-fixes.patch
./configure --prefix=/usr --sysconfdir=/etc --libdir=/usr/lib64 \
	--localstatedir=/var
make
make -C src install
cd ..
wget http://downloadmirror.intel.com/21941/eng/Linux%20AMT8%20Files%20v1.1.zip
unzip "Linux AMT8 Files v1.1.zip"
mv "Linux AMT8 Files/ACUConfig" .
rm -rf "Linux AMT8 Files"
chown -R root:root ACUConfig
chmod -R go-w ACUConfig
chmod 755 ACUConfig/ACUConfig
mv ACUConfig ACUConfig.bin
wget http://downloadmirror.intel.com/21941/eng/IntelAMTSCS.tar
tar xOf IntelAMTSCS.tar IntelAMTSCS/Sources.tar.gz | tar xzf -
cd Sources
patch -p1 < ../acuconfig-fixes.patch
env LANG=en_US.UTF-8 make
cd ..
mkdir ACUConfig.src
cp Sources/ACU/Release_ACU/ACUConfig ACUConfig.src
cp Sources/ACU/Release_ACU/en_US.UTF-8_ACUMessages.cat ACUConfig.src
cp Sources/NetworkSettings.xml ACUConfig.src
cp ACUConfig.bin/profile.xml ACUConfig.src
cp Sources/NetworkSettings.xml ACUConfig.bin
echo "Build complete"
